cURL
curl --request GET \
--url https://api.penciled.com/v1/outcomes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.penciled.com/v1/outcomes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.penciled.com/v1/outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcomes": {
"scheduled": "positive",
"rescheduled": "positive",
"unconfirmed": "neutral"
}
}{
"error": "<string>"
}Outcomes
Get Outcomes
Gets the outcomes for a specific agent
GET
/
v1
/
outcomes
cURL
Request
Query Parameters
- agent_id (string, required): The ID of the agent.
Response
- outcomes (object of outcomes types): An object where the keys are the outcome, eg “scheduled” and the sentiment value, eg “positive”.
Example Response
{
"outcomes": { "scheduled": "positive", "rescheduled": "positive", "unconfirmed": "neutral", "requested_callback": "negative", "voicemail": "neutral" }
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the agent
Response
Outcomes response
Example:
{
"scheduled": "positive",
"rescheduled": "positive",
"unconfirmed": "neutral"
}
⌘I